apply plugin: 'com.android.application'

apply plugin: "androidx.navigation.safeargs"

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.2"

    defaultConfig {

        minSdkVersion 21
        targetSdkVersion 30
        versionCode 15
        versionName "1.4.0"
        multiDexEnabled true
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    dexOptions {
        javaMaxHeapSize "4g"
    }
    flavorDimensions "default"
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    lintOptions {
        disable 'MissingTranslation'
        checkReleaseBuilds false
        abortOnError false
    }
    productFlavors {
        fdroid_acad {
            applicationId "app.fedilab.fedilabtube"
            buildConfigField "String", "version", "\"fdroid_acad\""
            buildConfigField "boolean", "full_instances", "false"
            buildConfigField "boolean", "google_restriction", "false"
        }
        google_acad {
            applicationId "app.fedilab.fedilabtube"
            buildConfigField "String", "version", "\"google_acad\""
            buildConfigField "boolean", "full_instances", "false"
            buildConfigField "boolean", "google_restriction", "true"
        }
        fdroid_full {
            applicationId "app.fedilab.tubelab"
            buildConfigField "String", "version", "\"fdroid_full\""
            buildConfigField "boolean", "full_instances", "true"
            buildConfigField "boolean", "google_restriction", "false"
        }
        google_full {
            applicationId "app.fedilab.tubelab"
            buildConfigField "String", "version", "\"google_full\""
            buildConfigField "boolean", "full_instances", "true"
            buildConfigField "boolean", "google_restriction", "true"
        }
    }

    sourceSets {
        fdroid_acad {
            res.srcDirs = ['src/main/res', 'src/acad/res']
        }
        google_acad {
            res.srcDirs = ['src/main/res', 'src/acad/res']
        }
        fdroid_full {
            res.srcDirs = ['src/main/res', 'src/full/res']
        }
        google_full {
            res.srcDirs = ['src/main/res', 'src/full/res']
        }
    }
}

allprojects {
    repositories {
        maven { url "https://jitpack.io" }
        maven { url "https://maven.google.com"}
    }
}


dependencies {
    implementation "androidx.multidex:multidex:2.0.1"
    implementation fileTree(dir: "libs", include: ["*.jar"])
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.preference:preference:1.1.1'
    implementation 'com.google.android.material:material:1.2.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.2'
    implementation 'androidx.vectordrawable:vectordrawable:1.1.0'
    implementation 'androidx.navigation:navigation-fragment:2.3.0'
    implementation "androidx.fragment:fragment:1.2.5"
    implementation 'androidx.navigation:navigation-ui:2.3.0'
    implementation ("androidx.navigation:navigation-dynamic-features-fragment:2.3.0")
    implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'
    implementation 'androidx.browser:browser:1.2.0'
    testImplementation 'junit:junit:4.13'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'

    implementation 'androidx.localbroadcastmanager:localbroadcastmanager:1.0.0'
    implementation 'com.github.GrenderG:Toasty:1.4.2'
    implementation 'com.google.android.exoplayer:exoplayer:2.10.6'
    implementation 'com.google.android.exoplayer:extension-mediasession:2.10.6'
    implementation "com.github.mabbas007:TagsEditText:1.0.5"
    implementation "com.github.bumptech.glide:glide:4.11.0"
    annotationProcessor "com.github.bumptech.glide:compiler:4.11.0"
    implementation "androidx.swiperefreshlayout:swiperefreshlayout:1.1.0"
    implementation "net.gotev:uploadservice:3.5.2"
    implementation "net.gotev:uploadservice-okhttp:3.5.2"
    implementation "com.google.code.gson:gson:2.8.6"
    implementation 'androidx.media:media:1.2.0'
    implementation 'com.github.ybq:Android-SpinKit:1.4.0'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
    implementation 'com.github.mancj:MaterialSearchBar:0.8.5'

    implementation "io.github.kobakei:ratethisapp:1.2.0"

}